# Uses of Enum Class
org.apache.sysds.lops.Compression.CompressConfig

Packages that use Compression.CompressConfig
Package
Description
org.apache.sysds.conf
org.apache.sysds.lops

## Uses of Compression.CompressConfig in org.apache.sysds.conf

Methods in org.apache.sysds.conf that return Compression.CompressConfig
Modifier and Type
Method
Description
`static Compression.CompressConfig`
ConfigurationManager.`getCompressConfig()`

## Uses of Compression.CompressConfig in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Compression.CompressConfig
Modifier and Type
Method
Description
`static Compression.CompressConfig`
Compression.CompressConfig.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Compression.CompressConfig[]`
Compression.CompressConfig.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.